select * from users where code = '1515';


select * from batchload where load_stat = 'E';

select * from batchload where batch_id= '117-01000014098';
select * from batchload where data_file_name like '%1684920137517.json%';

select * from batchload where data_file_name = 'edi_data_1681468670642.json';

select DISTINCT batch_id,data_file_name, load_stat from  batchload;
select DISTINCT batch_id,load_stat from  batchload;


select * from batchload where batch_id = '117-00000016138';
select * from batchload where data_file_name = 'edi_data_1681468532863.json';


select * from batchload where batch_id = '117-01000014081';



117-01000014017
select * from batchload where batch_id = '117-01000014017';

update batchload 
set load_stat = 'R'
where batch_id = '117-01000014017';



select * from batchload where load_stat = 'Y';
select * from messages where msg_no = 'RLOADSUC';
select * from messages where msg_no = 'RLOADFAIL';

commit;

SELECT MSG_TYPE,MSG_STR,MSG_DESCR,MSG_OPT,MSG_TIME,ALARM,ERR_SOURCE FROM MESSAGES WHERE MSG_NO='RLOADFAIL';

Insert into MESSAGES (MSG_NO,MSG_STR,MSG_DESCR,MSG_TYPE,MSG_OPT,MSG_TIME,ALARM,ERR_SOURCE,CHG_DATE,CHG_USER,CHG_TERM,OVERRIDE_INPUT,MAIL_OPTION) 
values ('RLOADFAIL','Reload Failed.','Reload will only work for LoadStat E.','P','Y',null,null,null,to_date('25-MAY-23','DD-MON-RR'),'DanielQ','DanielQ',null,null);


Insert into MESSAGES (MSG_NO,MSG_STR,MSG_DESCR,MSG_TYPE,MSG_OPT,MSG_TIME,ALARM,ERR_SOURCE,CHG_DATE,CHG_USER,CHG_TERM,OVERRIDE_INPUT,MAIL_OPTION) 
values ('FLNTFND','NO file found','No file found in upload_folder for Load stat E','P','Y',null,null,null,to_date('25-MAY-23','DD-MON-RR'),'DanielQ','DanielQ',null,null);

select * from messages where msg_no = 'FLNTFND';

commit;

select * from messages where msg_no = 'RLOADSUC';


select * from batchload where data_file_name = 'edi_data_1684240703343.json';

select * from obj_actions where obj_name='batchload';

select * from system_events where service_code='call_transLoad'; 

select * from system_event_services where service_code='call_transLoad';

update system_event_services set method_name='';

select * from system_service_args where service_code='call_transLoad';

SELECT BATCH.BATCH_ID, BATCH.WIN_NAME, BATCH.DATA_FILE_NAME, BATCH.SUBJECT, BATCH.XFRM_TEMPLATE, TEMPL.TEMPLATE_NAME, BATCH.TRAN_SL, BATCH.EDI_ADDR, BATCH.THREAD_KEY, BATCH.ADD_USER, BATCH.LOAD_STAT, TRAN.LOAD_ORDER, BATCH.LOAD_ORDER  FROM TRANSETUP TRAN, BATCHLOAD BATCH LEFT OUTER JOIN OBJ_FILE_TEMPLATE TEMPL ON BATCH.XFRM_TEMPLATE = TEMPL.TEMPLATE_ID  WHERE BATCH.LOAD_STAT IN ( 'N', 'R' )  AND TRAN.TRAN_WINDOW = BATCH.WIN_NAME  AND BATCH.EDI_ADDR IS NOT NULL AND BATCH.EDI_ADDR IN ( 'SFAAPPN_fileSystem', 'SFAAPPN_' )  ORDER BY TRAN.LOAD_ORDER, BATCH.LOAD_ORDER, BATCH.ADD_DATE, BATCH.BATCH_ID, BATCH.TRAN_SL;





select * from batchload where batch_id = '117-01000014026';
E:DUPRECFOND:This Customer already exists.



select * from batchload where batch_id = '117-01000014050';
E:VTSALPERCO:Empty Sales Person,Sales Person should not be blank



"E:ADDRESSASN:Addressas can't be blank.
E:SFPINIV:Station not exists against selected pin
E:INVLSTATUS:Please specify valid Status"

select * from batchload where batch_id = '117-01000014027';
E:ADDRESSASN:Addressas can't be blank.
E:SFPINIV:Station not exists against selected pin
E:INVLSTATUS:Please specify valid Status;

select * from messages where msg_no = 'DUPRECFOND';

select * from batchload where batch_id = '117-01000014041';
E:VSALPER:Sales Person does not exist in Master
E:

SELECT BATCH.BATCH_ID, BATCH.WIN_NAME, BATCH.DATA_FILE_NAME, BATCH.SUBJECT, BATCH.XFRM_TEMPLATE, TEMPL.TEMPLATE_NAME, BATCH.TRAN_SL, BATCH.EDI_ADDR, BATCH.THREAD_KEY, BATCH.ADD_USER, BATCH.LOAD_STAT, TRAN.LOAD_ORDER, BATCH.LOAD_ORDER  FROM TRANSETUP TRAN, BATCHLOAD BATCH LEFT OUTER JOIN OBJ_FILE_TEMPLATE TEMPL ON BATCH.XFRM_TEMPLATE = TEMPL.TEMPLATE_ID  WHERE BATCH_ID = '117-00000039100'  AND BATCH.LOAD_STAT IN ( 'N', 'R', 'E' )  AND TRAN.TRAN_WINDOW = BATCH.WIN_NAME  AND BATCH.EDI_ADDR IS NOT NULL AND BATCH.EDI_ADDR IN ( 'fileSystem', '' )  ORDER BY TRAN.LOAD_ORDER, BATCH.LOAD_ORDER, BATCH.ADD_DATE, BATCH.BATCH_ID, BATCH.TRAN_SL;

select * from batchload where batch_id = '117-01000014023';
E:NULCLSCODE:CLASS CODE CODE CANNOT BE NULL



select * from batchload;

E:STRGNOTEXT:STRATERGIC CUSTOMER CODE DOES NOT EXIST IN STRG_CUSTOMER MASTER

SELECT BATCHLOAD.BATCH_ID AS BATCH_ID897,BATCHLOAD.TRAN_SL AS TRAN_SL235,BATCHLOAD.WIN_NAME AS WIN_NAME349,BATCHLOAD.LOAD_STAT AS LOAD_STAT673,BATCHLOAD.LOAD_DATE AS LOAD_DATE423,BATCHLOAD.ERROR_MSG AS ERROR_MSG299,BATCHLOAD.CHG_DATE AS CHG_DATE198,BATCHLOAD.CHG_USER AS CHG_USER368,BATCHLOAD.CHG_TERM AS CHG_TERM375,BATCHLOAD.EDI_ADDR AS EDI_ADDR423,BATCHLOAD.LOAD_MODE AS LOAD_MODE302,BATCHLOAD.NO_OF_RECORDS AS NO_OF_RECORDS407,BATCHLOAD.MAIL_STAT AS MAIL_STAT318,BATCHLOAD.SUBJECT AS SUBJECT860,BATCHLOAD.REPL_STATUS AS REPL_STATUS799,BATCHLOAD.TRANSFER_MODE AS TRANSFER_MODE3,BATCHLOAD.REPL_DATE AS REPL_DATE289 FROM  BATCHLOAD  BATCHLOAD  WHERE    BATCHLOAD  .  LOAD_STAT      =      'E';

select * from batchload where batch_id = '117-01000014019';
E:NULCLSCODE:CLASS CODE CODE CANNOT BE NULL

select * from messages where msg_no = 'NULCLSCODE';
CLASS CODE CODE CANNOT BE NULL

select * from users where code = '1515';

select * from batchload where batch_id = '117-01000014018';
E:IVCUSSTATS:Please specify valid Customer Status

select * from batchload where batch_id = '117-0100001399';
X:xxxx:A system exception of type 99999 has occurred of instance 1763795132. Contact system support.

select * from batchload where batch_id = '117-01000013998';
E:NULCLSCODE:CLASS CODE CODE CANNOT BE NULL

SELECT * FROM BATCHLOAD WHERE BATCH_ID = '117-01000013995';

USE THIS ONE 3995 BELOW 
select * from batchload where batch_id ='117-01000013995';
E:VEEMP2:Employee code cannot be empty.

E:VMEMPHCTG1:The specified handicap category is not defined in generalized master, first define the same

select * from batchload where load_stat = 'E';

UPDATE BATCHLOAD SET LOAD_STAT = 'R' WHERE BATCH_ID = '117-01000013994';

select * from batchload where batch_id ='117-01000014098';

select * from batchload where batch_id ='117-01000013994';


select * from batchload where batch_id ='117-01000013994';


select * from employee;


W:VTWSNOT:Work shift not defined in master or site code of work shift doesn't match with employee's work site
W:VTBKSTAN:The bank and station definition does not exist in the bank services master
E:VMDESIGN:The designation code entered does not exist in the designation master. First you have to define it in the master


select * from batchload where batch_id ='117-01000013942';
X:xxxx:A system exception of type 20001 has occurred of instance 596050624. Contact system support.




select * from batchload where batch_id = '117-01000014024';
E:STRGNOTEXT:STRATERGIC CUSTOMER CODE DOES NOT EXIST IN STRG_CUSTOMER MASTER;

select * from users where profile_id = 'ADMIN     ';

SELECT BATCH.BATCH_ID, BATCH.WIN_NAME, BATCH.DATA_FILE_NAME, BATCH.SUBJECT, BATCH.XFRM_TEMPLATE, TEMPL.TEMPLATE_NAME, BATCH.TRAN_SL, BATCH.EDI_ADDR, BATCH.THREAD_KEY, BATCH.ADD_USER, BATCH.LOAD_STAT, TRAN.LOAD_ORDER, BATCH.LOAD_ORDER  FROM TRANSETUP TRAN, BATCHLOAD BATCH LEFT OUTER JOIN OBJ_FILE_TEMPLATE TEMPL ON BATCH.XFRM_TEMPLATE = TEMPL.TEMPLATE_ID  WHERE BATCH_ID = ?AND BATCH.LOAD_STAT IN ( 'N', 'R', 'E' )  AND TRAN.TRAN_WINDOW = BATCH.WIN_NAME  AND BATCH.EDI_ADDR IS NOT NULL AND BATCH.EDI_ADDR IN ( 'SFAAPPN_fileSystem', 'SFAAPPN_' )  ORDER BY TRAN.LOAD_ORDER, BATCH.LOAD_ORDER, BATCH.ADD_DATE, BATCH.BATCH_ID, BATCH.TRAN_SL;



select * from batchload where batch_id = '117-01000014161';










WORKING BATCHID on RELOAD button for BATCHLOAD.




select * from batchload where batch_id = '117-01000014023';
E:NULCLSCODE:CLASS CODE CODE CANNOT BE NULL

update batchload
set load_stat = 'E'
where batch_id = '117-01000014023';

select * from batchload where batch_id = '117-01000014159';

update batchload 
set load_stat = 'E' 
where batch_id = '117-01000014159';


select * from batchload where batch_id = '117-01000014034';

update batchload 
set load_stat = 'E' 
where batch_id = '117-01000014034';


select * from batchload where batch_id = '117-01000014028';

update batchload 
set load_stat = 'E' 
where batch_id = '117-01000014028';

select * from batchload where batch_id = '117-01000013942';

update batchload 
set load_stat = 'E' 
where batch_id = '117-01000013942';


select * from batchload where batch_id = '117-01000014026';

update batchload 
set load_stat = 'E'
where batch_id = '117-01000014026';

select * from batchload where batch_id = '117-01000013994';

update batchload 
set load_stat = 'E'
where batch_id = '117-01000013994';

select * from batchload where batch_id = '117-01000014018';

update batchload 
set load_stat = 'E'
where batch_id = '117-01000014018';


select * from batchload where batch_id = '117-01000014027';

update batchload 
set load_stat = 'E'
where batch_id = '117-01000014027';

select * from batchload where batch_id = '117-01000014161';

update batchload
set load_stat = 'E'
where batch_id = '117-01000014161';
